Bug 107786 - brp-compress doesn't handle whitespace in file names
brp-compress doesn't handle whitespace in file names
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-22 22:28 EDT by Marcus Harnisch
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:01:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to brp-compress (216 bytes, patch)
2003-10-22 22:31 EDT, Marcus Harnisch
no flags Details | Diff

  None (edit)
Description Marcus Harnisch 2003-10-22 22:28:20 EDT
Description of problem:

If man-pages contain whitespace (ASCII 32 in particular), brp-compress screws up
due to shell-expansion.

Version-Release number of selected component (if applicable): 4.1

How reproducible: Install openssl (or any man-page containing whitespace) and
run brp-compress over the installation directory.

Steps to Reproduce:
1. Install openssl using their standard Makefile
2. run brp-compress over the installation directory
3. Look at the funny links created.

Actual results:
Weird links resulting from shell's word splitting

Expected results:
Correct links

Additional info:
Comment 1 Marcus Harnisch 2003-10-22 22:31:54 EDT
Created attachment 95412 [details]
Patch to brp-compress

Consider rewriting brp-compress in Perl. RPM is using Perl
in other places anyway.
Comment 2 Marcus Harnisch 2003-10-22 22:33:48 EDT
The patch above doesn't fix all possible problems. It should just take care of
space characters (ASCII 32) in filenames.
Comment 3 Bill Nottingham 2006-08-07 15:42:55 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 4 Bill Nottingham 2006-10-18 13:01:15 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.